Bug 133682 - Implementors of EditorContext does not scale when several debuggers installed
Implementors of EditorContext does not scale when several debuggers installed
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P3 with 1 vote (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
: PERFORMANCE, PLAN
Depends on: 137005 137011 137013 137014 137015 137016 137018 137019 137022
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 15:39 UTC by Pavel Flaska
Modified: 2010-04-29 09:39 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Profiler snapshot (686.44 KB, application/octet-stream)
2008-04-22 16:27 UTC, Pavel Flaska
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Flaska 2008-04-22 15:39:54 UTC
EditorContextImpl.java is copied to several debugger modules. This is observable e.g. when switching the tab in editor, all their property change listeners are 
processed.
Comment 1 Pavel Flaska 2008-04-22 16:27:49 UTC
Created attachment 60560 [details]
Profiler snapshot
Comment 2 Pavel Flaska 2008-04-22 16:29:20 UTC
The snapshot contains processing during java file tab switch.
Comment 3 Martin Entlicher 2008-04-26 21:24:09 UTC
Scheduling for 6.5, some API needs to be created...
Comment 4 Martin Entlicher 2008-06-10 15:43:03 UTC
Prototype of events dispatcher is ready, I'll prepare an issue for the API change shortly...
Comment 5 Martin Entlicher 2008-06-11 15:43:34 UTC
The API change is submitted as issue #137005.
Issues for individual debuggers with proposed diffs are going to be created.
Comment 6 Martin Entlicher 2008-06-25 14:26:33 UTC
This should be mostly fixed, there remains just BPEL debugger - issue #137022 and dbxgui debugger, which is not in
Mercurial and will be adapted by Ivan.
Can you please check what is the performance improvement? Thanks.
Comment 7 Quality Engineering 2010-04-29 09:39:23 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo